Package org.eclipse.emf.cdo.common.lock

# Class IDurableLockingManager.LockAreaAlreadyExistsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.eclipse.emf.cdo.common.lock.IDurableLockingManager.LockAreaAlreadyExistsException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `IDurableLockingManager`

public static class IDurableLockingManager.LockAreaAlreadyExistsException extends IllegalStateException
Exception occurs when attempting to create a durable `IDurableLockingManager.LockArea` that already exists.

Since:
  4.1
Author:
  Caspar De Groot
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LockAreaAlreadyExistsException(String durableLockingID)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDurableLockingID()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LockAreaAlreadyExistsException

public LockAreaAlreadyExistsException(String durableLockingID)

## Method Details

### getDurableLockingID

public String getDurableLockingID()